input="sgemail.dat"

set terminal pngcairo size 1024,768 solid noenhanced
set output "sgemail.png"

set timefmt "%Y%m%d"
set xdata time
set format x "%Y"
set xrange ["20070702":"20140702"]
set yrange [0:1000]
set xlabel "Year"
set ylabel "Emails / Year"
set nomxtics
set grid
unset border

set lmargin at screen 0.1
set rmargin at screen 0.9
set bmargin at screen 0.1
set tmargin at screen 0.9

set palette defined (\
  2 '#bfd891',\
  3 '#e0b4dc',\
  4 '#74dfe0',\
  5 '#eba96b',\
  6 '#e3dc5f',\
  7 '#f1a49e',\
  8 '#60e3ba',\
  9 '#a4c8e1',\
  10 '#82e695',\
  11 '#b5e272',\
  12 '#9fd5b7',\
  13 '#ddbf68')

set cbrange [2:13]
unset colorbox

set multiplot

do for [i=13:2:-1] {
  plot input using 1:i every ::1 notitle smooth csplines with filledcurves x1 lc palette cb i,\
       input using 1:i every ::1 notitle smooth csplines with lines lc -1
  if (i == 13) {
    unset grid
    unset xlabel
    unset ylabel
    unset xtics
    unset ytics
  }
}

set border
set key left opaque width 2 box
plot for [i=13:2:-1] input using 1:(i/NaN) title columnheader(i) smooth csplines lc palette cb i lw 8

unset multiplot
